Pokémon

Get a Pokémon

Returns full data for a single Pokémon — base stats, types, moves, abilities, sprites, and a link to the species resource for flavour text and evolution chain.

GET/pokemon/{name}get-pokemon

Server

https://pokeapi.co/api/v2

Production (no auth required)

Path Parameters

namestringrequired

The Pokémon's lowercase hyphenated name (e.g. `pikachu`, `mr-mime`) or its National Pokédex ID (e.g. `25`).

Responses

200The full Pokémon resource.application/json
idintegerrequired

National Pokédex number.

namestringrequired

Lowercase hyphenated name.

base_experienceinteger

Base XP gained when defeating this Pokémon.

heightinteger

Height in decimetres.

weightinteger

Weight in hectograms.

is_defaultboolean

True if this is the default form of the species.

orderinteger

Order for sorting. Almost national order, except families are grouped together.

typesarray<object>required
slotintegerrequired

The slot position (1 = primary, 2 = secondary).

typeobjectrequired

A reference to another API resource by name and URL.

namestringrequired

The resource's lowercase hyphenated name.

urlstring<uri>required

The URL to fetch the full resource.

statsarray<object>required
base_statintegerrequired

The base value of the stat.

effortintegerrequired

EV yield when this Pokémon is defeated.

statobjectrequired

A reference to another API resource by name and URL.

namestringrequired

The resource's lowercase hyphenated name.

urlstring<uri>required

The URL to fetch the full resource.

abilitiesarray<object>required
abilityobjectrequired

A reference to another API resource by name and URL.

namestringrequired

The resource's lowercase hyphenated name.

urlstring<uri>required

The URL to fetch the full resource.

is_hiddenbooleanrequired

True if this is the Pokémon's hidden ability.

slotintegerrequired

The slot position (1, 2, or 3).

spritesobjectrequired
front_defaultstring<uri> | null

Front sprite URL.

front_shinystring<uri> | null

Front shiny sprite URL.

back_defaultstring<uri> | null

Back sprite URL.

back_shinystring<uri> | null

Back shiny sprite URL.

speciesobjectrequired

A reference to another API resource by name and URL.

namestringrequired

The resource's lowercase hyphenated name.

urlstring<uri>required

The URL to fetch the full resource.

404Pokémon not found.application/json
curl https://pokeapi.co/api/v2/pokemon/pikachu
{
  "id": 0,
  "name": "<string>",
  "base_experience": 0,
  "height": 0,
  "weight": 0,
  "is_default": true,
  "order": 0,
  "types": [
    {
      "slot": 0,
      "type": {
        "name": "<string>",
        "url": "https://example.com"
      }
    }
  ],
  "stats": [
    {
      "base_stat": 0,
      "effort": 0,
      "stat": {
        "name": "<string>",
        "url": "https://example.com"
      }
    }
  ],
  "abilities": [
    {
      "ability": {
        "name": "<string>",
        "url": "https://example.com"
      },
      "is_hidden": true,
      "slot": 0
    }
  ],
  "sprites": {
    "front_default": "https://example.com",
    "front_shiny": "https://example.com",
    "back_default": "https://example.com",
    "back_shiny": "https://example.com"
  },
  "species": {
    "name": "<string>",
    "url": "https://example.com"
  }
}